classification
Title: test_ttk test_heading_callback fails with newer Tk 8.5
Type: behavior Stage: resolved
Components: Tests, Tkinter Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: Arfrever, georg.brandl, gpolo, loewis, ned.deily, pitrou, python-dev, serhiy.storchaka
Priority: critical Keywords: patch

Created on 2010-12-18 21:15 by pitrou, last changed 2013-11-13 19:03 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_heading_callback.patch serhiy.storchaka, 2013-10-27 11:29 review
Messages (8)
msg124318 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-12-18 21:15
It looks like the Windows buildbots have been failing since the tk upgrade (at least, I'm assuming it is related since there haven't been any tk changes recently).

======================================================================
FAIL: test_heading_callback (tkinter.test.test_ttk.test_widgets.TreeviewTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.x.bolen-windows\build\lib\tkinter\test\test_ttk\test_widgets.py", line 945, in test_heading_callback
    self.fail("The command associated to the treeview heading wasn't "
AssertionError: The command associated to the treeview heading wasn't invoked.

----------------------------------------------------------------------

(see e.g. http://www.python.org/dev/buildbot/all/builders/AMD64%20Windows%20Server%202008%203.x )
msg124324 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2010-12-18 22:09
I don't think this needs to block the beta release.
msg124334 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-12-19 09:37
Deferring.
msg124338 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-12-19 10:33
I disabled the test temporarily in r87395 -- it needs to be reenabled after fixing this.
msg139735 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-07-04 04:38
New changeset 8dde71899733 by Ned Deily in branch '2.7':
Issue #10734: Temporarily disable test_ttk test_heading_callback on 2.7 as well.
http://hg.python.org/cpython/rev/8dde71899733
msg139736 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2011-07-04 04:45
The failure is not unique to Windows.  It fails on OS X with the current ActiveState Tk 8.5.9.  I've temporarily disabled the test on 2.7 as well.
msg201446 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-10-27 11:29
I think this patch fixes this issue.
msg201966 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-02 08:55
New changeset 0554e2d37bf8 by Serhiy Storchaka in branch '2.7':
Issue #10734: Fix and re-enable test_ttk test_heading_callback.
http://hg.python.org/cpython/rev/0554e2d37bf8

New changeset a58fce53e873 by Serhiy Storchaka in branch '3.3':
Issue #10734: Fix and re-enable test_ttk test_heading_callback.
http://hg.python.org/cpython/rev/a58fce53e873

New changeset f647a2c5f290 by Serhiy Storchaka in branch 'default':
Issue #10734: Fix and re-enable test_ttk test_heading_callback.
http://hg.python.org/cpython/rev/f647a2c5f290
History
Date User Action Args
2013-11-13 19:03:36serhiy.storchakasetstatus: open -> closed
2013-11-11 21:28:14serhiy.storchakasetresolution: fixed
stage: patch review -> resolved
2013-11-02 08:56:34serhiy.storchakasetassignee: serhiy.storchaka
2013-11-02 08:55:26python-devsetmessages: + msg201966
2013-10-28 23:19:32Arfreversetnosy: + Arfrever
2013-10-27 11:29:46serhiy.storchakasetfiles: + test_heading_callback.patch

versions: + Python 3.4, - Python 3.2
keywords: + patch
nosy: + serhiy.storchaka

messages: + msg201446
stage: patch review
2011-07-04 04:45:18ned.deilysettitle: test_ttk failure under Windows -> test_ttk test_heading_callback fails with newer Tk 8.5
messages: + msg139736
versions: + Python 2.7, Python 3.3
2011-07-04 04:41:22ned.deilysetnosy: + ned.deily
2011-07-04 04:38:27python-devsetnosy: + python-dev
messages: + msg139735
2011-01-15 16:40:26georg.brandlsetpriority: deferred blocker -> critical
2010-12-19 10:33:19georg.brandlsetmessages: + msg124338
2010-12-19 09:37:54georg.brandlsetpriority: release blocker -> deferred blocker

messages: + msg124334
2010-12-18 22:09:15loewissetmessages: + msg124324
2010-12-18 21:15:14pitroucreate